%define gemname   posix-spawn

Name:       ruby-%{gemname}
Version:    0.3.15
Release:    %mkrel 1
Summary:    posix-spawn uses posix_spawnp(2) for faster process spawning
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/rtomayko/posix-spawn
Source0:    https://rubygems.org/gems/%{gemname}-%{version}.gem
Patch0:	    posix-spawn-0.3.15-incompatible-pointer-types.patch
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildRequires: ruby-rdoc

%description
posix-spawn uses posix_spawnp(2) for faster process spawning

#-------------------------------------------------------------------------------

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

#-------------------------------------------------------------------------------

%prep
%gem_setup
%autopatch -p1

%build
%gem_build

%install
%gem_install


%files
%{_bindir}/*
%{gem_instdir}
%{gem_spec}
%{gem_extdir_mri}

%files          doc
%doc %{gem_docdir}


%changelog
* Sat Dec 07 2024 pterjan <pterjan> 0.3.15-1.mga10
+ Revision: 2122502
- Update to 0.3.15
- Rebuild for Ruby 3.3

* Fri Mar 25 2022 umeabot <umeabot> 0.3.13-8.mga9
+ Revision: 1827167
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 pterjan <pterjan> 0.3.13-7.mga9
+ Revision: 1784606
- Rebuild for Ruby 3.1

* Mon Mar 02 2020 pterjan <pterjan> 0.3.13-6.mga8
+ Revision: 1553172
- Rebuild for ruby 2.7

* Fri Feb 14 2020 umeabot <umeabot> 0.3.13-5.mga8
+ Revision: 1516651
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.3.13-4.mga7
+ Revision: 1300895
- Mageia 7 Mass Rebuild

* Mon Jan 01 2018 pterjan <pterjan> 0.3.13-3.mga7
+ Revision: 1188698
- Rebuild for Ruby 2.5

* Sun Aug 20 2017 pterjan <pterjan> 0.3.13-2.mga7
+ Revision: 1142445
- Fix build on 32 bits
- Update to 0.3.13

* Tue Aug 15 2017 pterjan <pterjan> 0.3.11-3.mga7
+ Revision: 1140860
- Rebuild for new Ruby

* Mon Aug 14 2017 pterjan <pterjan> 0.3.11-2.mga7
+ Revision: 1140337
- BuildRequires ruby-rdoc
- Rebuild for new Ruby

* Sun Jan 10 2016 pterjan <pterjan> 0.3.11-1.mga6
+ Revision: 921102
- Update to 0.3.11

* Wed Oct 15 2014 umeabot <umeabot> 0.3.9-3.mga6
+ Revision: 739046
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.9-2.mga5
+ Revision: 688905
- Mageia 5 Mass Rebuild

* Mon Aug 11 2014 pterjan <pterjan> 0.3.9-1.mga5
+ Revision: 661670
- 0.3.9

* Mon May 26 2014 pterjan <pterjan> 0.3.8-1.mga5
+ Revision: 626722
- Update to 0.3.8

* Sat Dec 28 2013 pterjan <pterjan> 0.3.6-12.mga4
+ Revision: 562118
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 0.3.6-11.mga4
+ Revision: 561535
- Fix gem macros

* Sun Dec 22 2013 pterjan <pterjan> 0.3.6-10.mga4
+ Revision: 559703
- Update for new binary extensions location

* Mon Oct 21 2013 umeabot <umeabot> 0.3.6-9.mga4
+ Revision: 538169
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 pterjan <pterjan> 0.3.6-8.mga4
+ Revision: 488912
- Use gem_setup and drop no longer needed patch
- Rebuild for Ruby 2
- Better patch for building outside git

* Mon Sep 09 2013 pterjan <pterjan> 0.3.6-6.mga4
+ Revision: 476453
- Fix duplicated directories in file list
- Patch gemspec to build without being inside a git checkout

* Fri Feb 08 2013 umeabot <umeabot> 0.3.6-5.mga3
+ Revision: 396260
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.3.6-4.mga3
+ Revision: 381235
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 0.3.6-3.mga3
+ Revision: 313782
- cleanup
- rebuild for new ruby

* Sat Aug 04 2012 dmorgan <dmorgan> 0.3.6-2.mga3
+ Revision: 278352
- Do not build docs
- Fix BR
- imported package ruby-posix-spawn

